Bug Hunting Session
Bug 35907 - [FORMATTING] Using numbers with RTL text breaks underline
Summary: [FORMATTING] Using numbers with RTL text breaks underline
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2011-04-02 08:18 UTC by Shimi Chen
Modified: 2019-09-18 08:55 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Some underlined Hebrew text with a number. (10.42 KB, application/vnd.oasis.opendocument.text)
2011-04-05 02:51 UTC, Shimi Chen
Details
Incorrect rendering with LO 6.1.1.2 (18.15 KB, application/pdf)
2018-09-17 16:18 UTC, Eyal Rozenberg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Shimi Chen 2011-04-02 08:18:48 UTC
To reproduce:
-Open LibreOffice Writer
-Write some underlined text in an RTL language(tested Hebrew and Arabic)
-Write a number(still in the same underline)
Result: the underline breaks.
This does not happen in English.
Comment 1 Christopher M. Penalver 2011-04-04 20:55:14 UTC
Shimi Chen, could you please attach a Writer document that demonstrates this problem?
Comment 2 Shimi Chen 2011-04-05 02:51:31 UTC
Created attachment 45268 [details]
Some underlined Hebrew text with a number.

The underline is broken before each number.
Comment 3 Jan Holesovsky 2011-04-07 10:26:44 UTC
This must be a kind of off-by-one error ;-)  When I zoom it, it is always one pixel thick; and in some zoom levels the gap disappears completely...
Comment 4 Shimi Chen 2011-09-16 00:32:14 UTC
I would like to point out that it's not just a zoom issue. Even if the interface is set to a zoom level that does not break the underline, when the document is printed the underline is always broken, which leads to an unprofessional looking documents.
Comment 5 Björn Michaelsen 2011-12-23 11:49:33 UTC Comment hidden (obsolete)
Comment 6 Lior Kaplan 2011-12-24 07:31:48 UTC
Still happens in 3.5.0 beta 2, changing to status NEW.
Comment 7 Abdulaziz Ayed 2013-01-22 12:54:28 UTC
still broken in 3.6.4.3
Comment 8 Julien Nabet 2013-08-18 07:51:02 UTC
Abdulaziz: I propose you to keep on the discussion you began on dev mailing list: http://nabble.documentfoundation.org/crash-in-master-td4070134.html
here.

So, here the information you brought:
-you work under linux Ubuntu.
-you built from source (last git pull in 13 Aug)
-new LO profile. 


Could you try to retrieve a backtrace by following this link: https://wiki.documentfoundation.org/QA/BugReport/Debug_Information#GNU.2FLinux:_How_to_get_a_backtrace ?
Ideally, it could be very useful to have all debug in console + symbols in bt, could you add in your autogen.inpu, if not already there this:
--enable-dbgutil
(you'll need to run "make clean" and it'll take more space but it may worth it).

Khaled: I thought you might be interested in this tracker so I put you on cc.
Comment 9 Eyal Rozenberg 2013-10-12 07:58:34 UTC
Seeing this bug with Win7 on X86-64, with v. 4.1.2.3 release.

I've increased the severity based on Shimi's comment #4.
Comment 10 Abdulaziz Ayed 2013-10-24 04:48:07 UTC
 Julien Nabet :
see this https://bugs.freedesktop.org/show_bug.cgi?id=69510
Comment 11 QA Administrators 2015-04-01 14:40:45 UTC Comment hidden (obsolete)
Comment 12 Shimi Chen 2015-04-01 15:00:41 UTC
Using LibreOffice 4.4.1.2 Arch Linux build-2.
Underline still breaks as described in original report.
However, the break seems now to be smaller than the time it was reported. It seems hardly noticeable when the document is printed but still appears vividly inside Writer.
Comment 13 Alexander Polkhovskiy 2015-07-02 08:27:49 UTC
Also break in underluned when using non-break space.
LO: 4.4.3.2
ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: ru_RU
Win 8.1 x64
Comment 14 QA Administrators 2016-09-20 10:13:56 UTC Comment hidden (obsolete)
Comment 15 Khaled Hosny 2016-09-21 07:55:48 UTC
Still an issue.
Comment 16 Omer Zak 2017-11-01 19:57:42 UTC
Still happens in:

Version: 5.4.2.2.0+
Build ID: 1:5.4.2-3~bpo9+1
CPU threads: 8; OS: Linux 4.9; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.utf8); Calc: group

OS: Debian 64bit Stretch (Debian 9.2, with some backported packages)
Comment 17 Eyal Rozenberg 2018-03-02 12:56:39 UTC
Seeing this with LO 6.0.2.1 on GNU/Linux.

However, the manifestation is slightly different: I see breaks in the underlining: between בשפת and RTL, between מספר and 8, between וגם and 7 - but I DON'T see a break between מספר and 12, nor after the 12.
Comment 18 Eyal Rozenberg 2018-09-17 16:13:53 UTC
Please also post a PDF of the incorrect rendering to compare against.
Comment 19 Eyal Rozenberg 2018-09-17 16:18:32 UTC
Created attachment 144948 [details]
Incorrect rendering with LO 6.1.1.2

Posting a rendering with LO 6.1.1.2 build 5d19a1bfa650b796764388cd8b33a5af1f5baa1b - as per the description in my earlier comment.

(so, obviously, the bug still manifests with 6.1.1.2)
Comment 20 QA Administrators 2019-09-18 02:52:11 UTC
Dear Shimi Chen,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug